## postgresql-semver 0.32.0

=== Makefile ===
EXTENSION    = $(shell grep -m 1 '"name":' META.json | \
               sed -e 's/[[:space:]]*"name":[[:space:]]*"\([^"]*\)",/\1/')
EXTVERSION   = $(shell grep -m 1 '[[:space:]]\{8\}"version":' META.json | \
               sed -e 's/[[:space:]]*"version":[[:space:]]*"\([^"]*\)",\{0,1\}/\1/')
DISTVERSION  = $(shell grep -m 1 '[[:space:]]\{3\}"version":' META.json | \
               sed -e 's/[[:space:]]*"version":[[:space:]]*"\([^"]*\)",\{0,1\}/\1/')

DATA         = $(wildcard sql/*.sql)
DOCS         = $(wildcard doc/*.mmd)
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test
MODULES      = $(patsubst %.c,%,$(wildcard src/*.c))
PG_CONFIG   ?= pg_config
EXTRA_CLEAN  = sql/$(EXTENSION)--$(EXTVERSION).sql
PG92         = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0| 9\.1" && echo no || echo yes)

ifeq ($(PG92),no)
$(error $(EXTENSION) requires PostgreSQL 9.2 or higher)
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

all: sql/$(EXTENSION)--$(EXTVERSION).sql

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

.PHONY: results
results:
	rsync -avP --delete results/ test/expected

dist:
	git archive --format zip --prefix=$(EXTENSION)-$(DISTVERSION)/ -o $(EXTENSION)-$(DISTVERSION).zip HEAD

latest-changes.md: Changes
	perl -e 'while (<>) {last if /^(v?\Q${DISTVERSION}\E)/; } print "Changes for v${DISTVERSION}:\n"; while (<>) { last if /^\s*$$/; s/^\s+//; print }' Changes > $@

# Temporary fix for PostgreSQL compilation chain / llvm bug, see
# https://github.com/rdkit/rdkit/issues/2192
COMPILE.cxx.bc = $(CLANG) -xc++ -Wno-ignored-attributes $(BITCODE_CPPFLAGS) $(CPPFLAGS) -emit-llvm -c
%.bc : %.cpp
	$(COMPILE.cxx.bc) -o $@ $<
	$(LLVM_BINPATH)/opt -module-summary -f $@ -o $@

## postgresql-semver 0.31.1

=== debian/changelog ===
postgresql-semver (0.31.1-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 30 Sep 2021 03:29:08 -0700

postgresql-semver (0.31.1-3) unstable; urgency=medium

  * Hoping to fix autopkgtest on 32-bit architectures, cherry-pick
    commits 07b0c8b2 and 4d79dcc8 from upstream pursuant to
    https://github.com/theory/pg-semver/issues/58#issuecomment-927389762
  * Re-enable the TODO test disabled in commit 54d844e3.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 27 Sep 2021 16:10:33 -0700

postgresql-semver (0.31.1-2) unstable; urgency=medium

  * Disable TODO test that is expected to fail but succeeds on some
    architectures.
  * Move some Pg prerequisites from build to autopkgtest.
  * Bump Standards-Version to 4.6.0.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 14 Sep 2021 10:48:10 -0700

postgresql-semver (0.31.1-1) unstable; urgency=medium

  * Initial Debian release. (Closes: #986221)
  * Github tarball does not match repo; orig tarball was created by checking
    out tag v0.31.1 and running:
    - git ls-files | tar caf ../postgresql-semver_0.31.1.orig.tar.gz -T-

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 07 May 2021 17:59:12 -0700

=== debian/control ===
Source: postgresql-semver
Section: database
Priority: optional
Maintainer: Felix Lechner <felix.lechner@lease-up.com>
Build-Depends:
 debhelper-compat (= 13),
 postgresql-server-dev-all (>= 217~)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/lechner/postgresql-semver
Vcs-Git: https://salsa.debian.org/lechner/postgresql-semver.git
Homepage: https://pgxn.org/dist/semver/doc/semver.html

Package: postgresql-13-semver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Description: Semantic version number type for PostgreSQL
 This library contains a single PostgreSQL extension for a data type
 called 'semver'. It implements the version number format described
 in the Semantic Versioning 2.0.0 Specification. [1]
 .
 [1] https://semver.org/spec/v2.0.0.html

=== debian/rules ===
#!/usr/bin/make -f

# Rebuild debian/control from debian/control.in
SRCDIR = $(CURDIR)
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

SUPPORTED_VERSIONS = $(shell pg_buildext supported-versions)

DH_INSTALL_FILES = $(basename $(wildcard debian/*.install.in))

# Use debhelper's dh
%:
	dh $@

override_dh_auto_configure:
	set -e; for v in $(SUPPORTED_VERSIONS); do \
		mkdir debian/build-$$v; \
	  cp -r src debian/build-$$v; \
	  cp -r sql debian/build-$$v; \
	  cp -r doc debian/build-$$v; \
	  cp META.json Makefile semver.control debian/build-$$v; \
	done

override_dh_auto_build:
	set -e; for v in $(SUPPORTED_VERSIONS); do \
	  $(MAKE) -C debian/build-$$v PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config all; \
	done

override_dh_auto_clean:
	set -e; for v in $(SUPPORTED_VERSIONS); do \
	  dh_auto_clean --builddirectory=debian/build-$$v; \
	  rm -rf debian/install-$$v; \
          for file in debian/*PGVERSION*; do \
	    sed -e "s:PGVERSION:$$v:g" "$$file" > "$$(echo "$$file" | sed -e "s:PGVERSION:$$v:g")"; \
	  done; \
	done

override_dh_auto_install:
	set -e; for v in $(SUPPORTED_VERSIONS); do \
	  $(MAKE) -C debian/build-$$v DESTDIR=$(CURDIR)/debian/install-$$v install; \
	done

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installdocs:
	dh_installdocs --all README.md doc/semver.mmd

.PHONY: override_dh_auto_configure override_dh_auto_clean override_dh_auto_build override_dh_auto_install override_dh_installchangelogs override_dh_installdocs

## postgresql-semver 0.31.2~20220627.1412-3~1.gitc71ce8b.pgdg18.04+1

=== debian/changelog ===
postgresql-semver (0.31.2~20220627.1412-3~1.gitc71ce8b.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 May 2022 13:12:07 +0200

postgresql-semver (0.31.2-3) unstable; urgency=medium

  * Adopt package in the PostgreSQL Team. (Closes: #1009988)

 -- Christoph Berg <myon@debian.org>  Mon, 16 May 2022 13:12:07 +0200

postgresql-semver (0.31.2-2) unstable; urgency=medium

  * Orphan.
  * Point Vcs fields to 'debian' namespace on Salsa.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Apr 2022 09:45:04 -0700

postgresql-semver (0.31.2-1) unstable; urgency=medium

  [Christoph Berg]
  * Use `dh --with pgxs_loop` for simpler d/rules; also runs tests at build
    time (MR !1).

  [Felix Lechner]
  * New upstream version.
  * Update d/control with 'pg_buildext updatecontrol'. (Closes: #997721)
  * Drop two patches previously cherry-picked from upstream:
    - 0001-Use-INT32_MAX-instead-of-INT_MAX.patch
    - 0002-Handle-errors-from-strtol.patch
  * Place instructions for the upstream (orig) tarball in d/README.Debian.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 03 Nov 2021 09:20:04 -0700

=== debian/control ===
Source: postgresql-semver
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 11),
 postgresql-all (>= 217~),
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/postgresql-semver
Vcs-Git: https://salsa.debian.org/debian/postgresql-semver.git
Homepage: https://pgxn.org/dist/semver/doc/semver.html

Package: postgresql-10-semver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10
Description: Semantic version number type for PostgreSQL
 This library contains a single PostgreSQL extension for a data type
 called 'semver'. It implements the version number format described
 in the Semantic Versioning 2.0.0 Specification. [1]
 .
 [1] https://semver.org/spec/v2.0.0.html

Package: postgresql-11-semver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11
Description: Semantic version number type for PostgreSQL
 This library contains a single PostgreSQL extension for a data type
 called 'semver'. It implements the version number format described
 in the Semantic Versioning 2.0.0 Specification. [1]
 .
 [1] https://semver.org/spec/v2.0.0.html

Package: postgresql-12-semver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12
Description: Semantic version number type for PostgreSQL
 This library contains a single PostgreSQL extension for a data type
 called 'semver'. It implements the version number format described
 in the Semantic Versioning 2.0.0 Specification. [1]
 .
 [1] https://semver.org/spec/v2.0.0.html

Package: postgresql-13-semver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13
Description: Semantic version number type for PostgreSQL
 This library contains a single PostgreSQL extension for a data type
 called 'semver'. It implements the version number format described
 in the Semantic Versioning 2.0.0 Specification. [1]
 .
 [1] https://semver.org/spec/v2.0.0.html

Package: postgresql-14-semver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14
Description: Semantic version number type for PostgreSQL
 This library contains a single PostgreSQL extension for a data type
 called 'semver'. It implements the version number format described
 in the Semantic Versioning 2.0.0 Specification. [1]
 .
 [1] https://semver.org/spec/v2.0.0.html

## postgresql-semver 0.31.2~20220627.1412-3~1.gitc71ce8b.pgdg22.04+1

=== debian/changelog ===
postgresql-semver (0.31.2~20220627.1412-3~1.gitc71ce8b.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 May 2022 13:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  postgresql-all (>= 217~),
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## postgresql-semver 0.31.2

=== debian/changelog ===
postgresql-semver (0.31.2-3.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 May 2022 13:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  postgresql-all (>= 217~),
 Standards-Version: 4.6.0
 Rules-Requires-Root: no

## postgresql-semver 0.32.0

=== debian/changelog ===
postgresql-semver (0.32.0-1) unstable; urgency=medium

  * New upstream version 0.32.0.
  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 16:40:35 +0200

=== debian/control ===
Source: postgresql-semver
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/postgresql-semver
Vcs-Git: https://salsa.debian.org/debian/postgresql-semver.git
Homepage: https://pgxn.org/dist/semver/doc/semver.html

Package: postgresql-15-semver
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
Description: Semantic version number type for PostgreSQL
 This library contains a single PostgreSQL extension for a data type
 called 'semver'. It implements the version number format described
 in the Semantic Versioning 2.0.0 Specification. [1]
 .
 [1] https://semver.org/spec/v2.0.0.html

=== debian/tests/control ===
Depends:
 @,
 make,
 postgresql-all
Tests: installcheck
Restrictions: allow-stderr

## postgresql-semver 0.32.1

=== debian/changelog ===
postgresql-semver (0.32.1-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 22:20:06 +0200

postgresql-semver (0.32.1-1) unstable; urgency=medium

  * New upstream version 0.32.1.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Aug 2023 20:14:14 +0200

postgresql-semver (0.32.0-2) unstable; urgency=medium

  * Include varatt.h on PG16.

 -- Christoph Berg <myon@debian.org>  Mon, 31 Jul 2023 12:01:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  postgresql-all (>= 217~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/postgresql-semver
 Vcs-Git: https://salsa.debian.org/debian/postgresql-semver.git
 Homepage: https://pgxn.org/dist/semver/doc/semver.html
 
-Package: postgresql-15-semver
+Package: postgresql-16-semver
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
 Description: Semantic version number type for PostgreSQL
  This library contains a single PostgreSQL extension for a data type
  called 'semver'. It implements the version number format described

## postgresql-semver 0.40.0

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 DISTVERSION  = $(shell grep -m 1 '[[:space:]]\{3\}"version":' META.json | \
                sed -e 's/[[:space:]]*"version":[[:space:]]*"\([^"]*\)",\{0,1\}/\1/')
 
+MODULEDIR    = $(EXTENSION)
 DATA         = $(wildcard sql/*.sql)
 DOCS         = $(wildcard doc/*.mmd)
 TESTS        = $(wildcard test/sql/*.sql)

=== debian/changelog ===
postgresql-semver (0.40.0-3) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117332)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 20:13:17 +0200

postgresql-semver (0.40.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 13:05:01 +0200

postgresql-semver (0.40.0-1) unstable; urgency=medium

  * New upstream version 0.40.0.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2024 18:20:41 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,22 @@
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/postgresql-semver
 Vcs-Git: https://salsa.debian.org/debian/postgresql-semver.git
 Homepage: https://pgxn.org/dist/semver/doc/semver.html
 
-Package: postgresql-16-semver
+Package: postgresql-18-semver
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${postgresql:Depends}
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: Semantic version number type for PostgreSQL
  This library contains a single PostgreSQL extension for a data type
  called 'semver'. It implements the version number format described

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/theory/pg-semver/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## postgresql-semver 0.41.0

=== Makefile ===
--- 
+++ 
@@ -5,15 +5,14 @@
 DISTVERSION  = $(shell grep -m 1 '[[:space:]]\{3\}"version":' META.json | \
                sed -e 's/[[:space:]]*"version":[[:space:]]*"\([^"]*\)",\{0,1\}/\1/')
 
-MODULEDIR    = $(EXTENSION)
 DATA         = $(wildcard sql/*.sql)
-DOCS         = $(wildcard doc/*.mmd)
+DOCS         = $(wildcard doc/*.md)
 TESTS        = $(wildcard test/sql/*.sql)
 REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test
-MODULES      = $(patsubst %.c,%,$(wildcard src/*.c))
+MODULES      = src/$(EXTENSION)
 PG_CONFIG   ?= pg_config
-EXTRA_CLEAN  = sql/$(EXTENSION)--$(EXTVERSION).sql
+EXTRA_CLEAN  = sql/$(EXTENSION)--$(EXTVERSION).sql src/$(EXTENSION).c
 PG92         = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0| 9\.1" && echo no || echo yes)
 
 ifeq ($(PG92),no)
@@ -27,6 +26,9 @@
 
 sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
 	cp $< $@
+
+src/$(EXTENSION).c: src/$(EXTENSION).c.in
+	sed -e 's,__VERSION__,$(EXTVERSION),g' $< > $@
 
 .PHONY: results
 results:

=== debian/changelog ===
postgresql-semver (0.41.0-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 18 Dec 2025 16:39:14 +0100

postgresql-semver (0.41.0-1) unstable; urgency=medium

  * New upstream version 0.41.0.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Dec 2025 16:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,126 @@
 Vcs-Git: https://salsa.debian.org/debian/postgresql-semver.git
 Homepage: https://pgxn.org/dist/semver/doc/semver.html
 
+Package: postgresql-10-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
+Package: postgresql-11-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
+Package: postgresql-12-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
+Package: postgresql-13-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
+Package: postgresql-14-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
+Package: postgresql-15-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
+Package: postgresql-16-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
+Package: postgresql-17-semver
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: Semantic version number type for PostgreSQL
+ This library contains a single PostgreSQL extension for a data type
+ called 'semver'. It implements the version number format described
+ in the Semantic Versioning 2.0.0 Specification. [1]
+ .
+ [1] https://semver.org/spec/v2.0.0.html
+
 Package: postgresql-18-semver
 Architecture: any
 Depends:
